package com.malk.dazhong.controller;

import com.alibaba.fastjson.JSON;
import com.malk.server.aliwork.YDConf;
import com.malk.server.aliwork.YDParam;
import com.malk.server.common.McR;
import com.malk.service.aliwork.YDClient;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.validation.annotation.Validated;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import java.util.HashMap;
import java.util.Map;

/**
 * 指定运行环境 [参考TestController]
 */
@Validated
@RestController
@Slf4j
@RequestMapping("/test")
public class YDController {

    @Autowired
    private YDClient ydClient;

    Integer index = 0;

    @GetMapping("insert")
    McR dzInsert() {

        index++;

        YDParam ydParam = new YDParam();
        ydParam.setAppType("APP_BT0NLNNL1O1ZQD1JMJCQ");
        ydParam.setSystemToken("16A6629115S3L0K6C9E7Y91UV9A23HV4J008LJ8");
        ydParam.setFormUuid("FORM-LK766AC1L2Q34W8OBVVQ998IT10I26VNEK98L31");
        Map data = new HashMap();
        data.put("textField_qzpa61f", index);
        data.put("textField_algkcgh", 65.0314);
        data.put("textField_0aoq38c", 0.0146);
        data.put("textField_6doxlyu", 0.0042);
        ydParam.setFormDataJson(JSON.toJSONString(data));
        ydClient.operateData(YDConf.API_FORM_CREATE, ydParam);
        return McR.success();
    }
}
