package com.malk.Util;

import javax.annotation.Nullable;
import java.io.File;
import java.text.SimpleDateFormat;
import java.util.Date;

public abstract class UtilFile {

    /**
     * 匹配路径: 自动追加年月日作为目录
     * -
     * 文件上传存储,必须是绝对路径. 日志的配置地址可以是相对路径
     */
    public static File mkdirIfNot(@Nullable String fileName, @Nullable String dirName) {
        String date = new SimpleDateFormat("yyyy-MM-dd").format(new Date());
        String outputFile = dirName + "/" + date + "/" + fileName;
        File file = new File(outputFile);
        // 创建 mkdirIfNot
        if (!file.getParentFile().exists()) {
            file.getParentFile().mkdirs();
        }
        return file;
    }
}
