package com.malk.repository.dao.mutual;

import com.malk.repository.entity.mutual.McAuthorizationDTO;
import org.springframework.data.jpa.repository.JpaRepository;

/**
 * JAP配置参考BaseDao
 */
public interface McAuthorizationDao extends JpaRepository<McAuthorizationDTO, Long> {

    // findBy, 可直接添加字段名称
    McAuthorizationDTO findByAppType(String appType);
}
