package com.malk.server.diwork;

import lombok.Data;
import org.springframework.boot.context.properties.ConfigurationProperties;
import org.springframework.stereotype.Component;

/**
 * 读取配置文件参考FilePah
 */
@Data
@Component
@ConfigurationProperties(prefix = "diwork")
public class YSConf {

    private String appKey;

    private String appSecret;

    /**
     * 一个分页数量上限
     */
    public static final Integer PAGE_SIZE_LIMIT = 50;
}
