package com.malk.server.ekuaibao;

import lombok.Data;
import org.springframework.boot.context.properties.ConfigurationProperties;
import org.springframework.stereotype.Component;

/**
 * 读取配置文件参考FilePah
 */
@Data
@Component
@ConfigurationProperties(prefix = "ekuaibao")
public class EKBConf {

    // 易快报的 corpId
    private String corpId;

    // 易快报不同平台获取前缀的方式不同
    private String platformApi;

    private String appKey;

    private String appSecurity;

}
