//package com.malk.cloudpure.com.malk.rongzhi.controller;
//
//import com.malk.Util.UtilServlet;
//import com.malk.server.aliwork.YDConf;
//import com.malk.server.aliwork.YDParam;
//import com.malk.server.common.McException;
//import com.malk.server.common.McR;
//import com.malk.server.teambition.TBConf;
//import com.malk.service.aliwork.YDClient_DD;
//import com.malk.service.teambition.TBClient;
//import lombok.extern.slf4j.Slf4j;
//import org.springframework.beans.factory.annotation.Autowired;
//import org.springframework.validation.annotation.Validated;
//import org.springframework.web.bind.annotation.*;
//
//import java.util.ArrayList;
//import java.util.List;
//import java.util.Map;
//import java.util.stream.Collectors;
//
///**
// * TB-YD: tb2yd对接方案
// */
//@Slf4j
//@RestController
//@RequestMapping("/tb")
//public class TB2YDController {
//
//    @Autowired
//    private TBClient tbClient;
//
//    @Autowired
//    private TBConf tbConf;
//
//    @Autowired
//    private YDClient_DD ydClient_dd;
//
//    // 查询操作人在tb的userId
//    private List<String> _convertUserIdWithSearch(String search) {
//        List<Map> users = tbClient.userSearch(search);
//        McException.assertAccessException(users.isEmpty(), search + ": 未匹配到TB用户, 请联系管理员添加");
//        return users.stream().map(item -> String.valueOf(item.get("userId"))).collect(Collectors.toList());
//    }
//
//    // 钉钉用户唯一键转同步用户ID
//    private List<String> _convertUserIdWithSearch_bulk(Map<String, Object> data) {
//        List<String> userIds = new ArrayList<>();
//        for (String unique : (List<String>) data.get("usersUnique")) {
//            userIds.addAll(_convertUserIdWithSearch(unique));
//        }
//        return userIds;
//    }
//
//    /**
//     * 搜索企业模板模板
//     */
//    @GetMapping("template")
//    public McR getTemplateList(@RequestBody Map<String, String> data) {
//        return McR.success(tbClient.templateSearch(data.get("id"), data.get("name")));
//    }
//
//    /**
//     * 搜索用户
//     */
//    @GetMapping("user")
//    public McR searchUser(@RequestParam String search) {
//        return McR.success(tbClient.userSearch(search));
//    }
//
//    /**
//     * 更新用户信息
//     */
//    @PutMapping("user")
//    public McR updateUser(@RequestBody Map<String, ?> data) {
//        McException.assertParamException_Null(UtilServlet.isNull(data, "members"));
//        String operatorId = "";
//        if (UtilServlet.isNotNull(data, "userName")) {
//            operatorId = _convertUserIdWithSearch(String.valueOf(data.get("userName"))).get(0);
//        }
//        return McR.success(tbClient.updateUser(operatorId, (List<Map>) data.get("members")));
//    }
//
//    /**
//     * 创建空白项目, 通过模板创建项目
//     */
//    @PostMapping("project")
//    public McR createProjectWithTemplate(@RequestBody Map<String, String> data) {
//        McException.assertParamException_Null(UtilServlet.isNull(data, "projectName", "userName"));
//        String operatorId = _convertUserIdWithSearch(String.valueOf(data.get("userName"))).get(0);
//        if (UtilServlet.isNotNull(data, "templateId")) {
//            return McR.success(tbClient.projectCreateWithTemplate(data.get("projectName"), data.get("templateId"), operatorId));
//        }
//        return McR.success(tbClient.projectCreate(data.get("projectName"), operatorId));
//    }
//
//    @PutMapping("project/{id}")
//    public McR updateProject(@PathVariable String id, @RequestBody Map<String, String> data) {
//        McException.assertParamException_Null(UtilServlet.isNull(data, "userName"));
//        String operatorId = _convertUserIdWithSearch(String.valueOf(data.get("userName"))).get(0);
//        return McR.success(tbClient.projectUpdate(id, data, operatorId));
//    }
//
//    /**
//     * 创建项目成员, 修改项目成员的角色
//     */
//    @RequestMapping(value = "project/member", method = {RequestMethod.POST, RequestMethod.PUT})
//    public McR createProjectMember(@RequestBody Map<String, Object> data) {
//        McException.assertParamException_Null(UtilServlet.isNull(data, "userName"));
//        List userIds = _convertUserIdWithSearch_bulk(data);
//        if (UtilServlet.isNotNull(data, "roleIds")) {
//            return McR.success(tbClient.updateProjectMember(userIds, (List<String>) data.get("roleIds"), String.valueOf(data.get("projectId"))));
//        }
//        McException.assertParamException_Null(UtilServlet.isNull(data, "userName"));
//        String operatorId = _convertUserIdWithSearch(String.valueOf(data.get("userName"))).get(0);
//        return McR.success(tbClient.createProjectMember(userIds, String.valueOf(data.get("projectId")), operatorId));
//    }
//
//    /**
//     * 获取项目角色列表
//     */
//    @GetMapping("{projectId}/role")
//    McR queryProjectRoles(@PathVariable String projectId) {
//        return McR.success(tbClient.queryProjectRoles(projectId));
//    }
//
//    @PutMapping("task/{id}")
//    McR updateTaskDueDate(@PathVariable String id, @RequestBody Map<String, String> data) {
//        McException.assertParamException_Null(UtilServlet.isNull(data, "userName", "dueDate"));
//        String operatorId = _convertUserIdWithSearch(String.valueOf(data.get("userName"))).get(0);
//        return McR.success(tbClient.updateTeakDueDate(id, data.get("dueDate"), operatorId));
//    }
//
//    /**
//     * 新增表单数据, result返回实例Id
//     */
//    @PostMapping("form/create")
//    McR createFormData(@RequestBody @Validated(YDParam.Create.class) YDParam param) {
//        return McR.success(ydClient_dd.operateData(param, YDConf.TYPE.create));
//    }
//}
