package com.malk.minjiaoyuan.controller;

import com.alibaba.fastjson.JSON;
import com.malk.server.aliwork.YDConf;
import com.malk.server.aliwork.YDParam;
import com.malk.server.common.McR;
import com.malk.service.aliwork.YDClient;
import com.malk.service.aliwork.YDService;
import com.malk.service.dingtalk.DDClient;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import java.util.ArrayList;
import java.util.HashMap;
import java.util.List;
import java.util.Map;

/**
 * 错误抛出与拦截详见CatchException
 */
@Slf4j
@RestController
@RequestMapping("/minjiaoyuan")
public class MJYController {

    @Autowired
    private DDClient ddClient;

    @Autowired
    private YDClient ydClient;

    @Autowired
    private YDService ydService;

    public static final String APP_TYPE = "APP_GHMWTMHNZFEX24QOUC63";
    public static final String SYSTEM_TOKEN = "4A9667B1NXM9XUSBDNR208ZMA2UQ20A99XEGLIC";

    /**
     * 同步名额数据
     */
    @PostMapping("sync/quota")
    McR syncQuota() {

        log.info("###### 同步名额数据 #####");
        Map condition = new HashMap();
        YDParam ydParam = YDParam.builder()
                .appType(APP_TYPE)
                .systemToken(SYSTEM_TOKEN)
                .formUuid("FORM-IS866C91G3U9U0YPD9NJV4E1F2OR3I85FYEGL7")
                .searchFieldJson(JSON.toJSONString(condition))
                .currentPage(1)
                .pageSize(100)
                .build();
        List<Map> list = new ArrayList();
        ydService.queryLimitData(YDConf.API_FORM_QUERY_DATA, ydParam, YDService.INVOKE_TYPE.AWAIT_CONCURRENCE, list::addAll);

        log.info("教师档案数据, {}", list.size());

//        return McR.success(list.stream().map(item -> {
//            Map record = new HashMap();
//            record.put("name", ((Map) item.get("formData")).get("textField_lg62a86d"));
//            record.put("code", ((Map) item.get("formData")).get("textField_lg62ksb8"));
//            record.put("area", ((Map) item.get("formData")).get("textField_lg62a86e"));
//            return record;
//        }).collect(Collectors.toList()));
        return McR.success();
    }

    @PostMapping("test")
    McR test() {

        return McR.success();
    }
}
