package com.malk.server.u8open;

import lombok.Data;
import org.springframework.boot.context.properties.ConfigurationProperties;
import org.springframework.stereotype.Component;

/**
 * 读取配置文件参考FilePah
 */
@Data
@Component
@ConfigurationProperties(prefix = "u8open")
public class U8Conf {

    private String appKey;

    private String appSecret;

    private String toAccount;

    private String fromAccount;

    /**
     * 一个分页数量上限
     */
    public static final Integer PAGE_SIZE_LIMIT = 500;
}
