package com.malk.service.teambition;

import com.alibaba.fastjson.JSONObject;

import java.util.List;
import java.util.Map;

public interface TBService {

    /**
     * 任务回调事件  [异步]
     */
    void callBackTask(JSONObject eventJson);

    /**
     * 项目回调事件  [异步]
     */
    void callBackProject(JSONObject eventJson);

    /**
     * 查询操作人在tb的userId
     */
    List<String> convertUserIdWithSearch(String search);

    /**
     * 钉钉用户唯一键转同步用户ID
     */
    List<String> convertUserIdWithSearch_bulk(Map<String, Object> data);

    /**
     * 更新创建项目: 宜搭创建有延迟
     */
    void updateProject_YD_TB(Map project, String userName);
}
